Page MenuHomePhabricator

Add tooltips
Closed, ResolvedPublic3 Estimate Story Points

Description

Add tooltips to the following buttons/icons:

Tooltips on hover

  • Help icon: Show help
  • Selected radio button: Selected version
  • Unselected radio button: Click to select this version
  • Edit icon of a selected text box (black pencil): Click to edit this text
  • Check mark: Apply your changes to this text
  • Back arrow: Discard all your changes to this text
  • Arrow down: Expand unchanged text
  • Arrow up: Collapse unchanged text

Notes

  • We will need to set the title option of the OOUI button widgets
  • We will need to remember that those texts should be localized

Details

Related Gerrit Patches:
mediawiki/extensions/TwoColConflict : masterUse native tooltip for two-state edit button
mediawiki/extensions/TwoColConflict : masterAdd more tooltips

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 7 2018, 5:59 AM

Which project is this about? Tag welcome :)

Restricted Application added a project: TCB-Team. · View Herald TranscriptSep 7 2018, 10:34 AM

Which project is this about? Tag welcome :)

Excellent point! :) Thanks.

Thanks @JStrodt_WMDE! Is it a deliberate decision to have all tooltips start with a small letter? And could you maybe merge the other tooltip tickets we have in as well? Otherwise this ticket is for 90% of the cases, and then we have one or two random other ones :)

Thanks @JStrodt_WMDE! Is it a deliberate decision to have all tooltips start with a small letter?

My reasoning is that complete sentences should start with a capital letter. Example: T195722
All others are merely little hints and no sentences, so they don't need to start with a capital letter or end with a full stop, IMO.

And could you maybe merge the other tooltip tickets we have in as well? Otherwise this ticket is for 90% of the cases, and then we have one or two random other ones :)

I only know of T195722, which is linked in the task description. Should I mark this as duplicate?
Do you know of others?

Lea_WMDE updated the task description. (Show Details)Sep 13 2018, 3:11 PM
Lea_WMDE updated the task description. (Show Details)Sep 13 2018, 3:15 PM
Lea_WMDE set the point value for this task to 5.
WMDE-Fisch changed the point value for this task from 5 to 3.

Change 567078 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/TwoColConflict@master] Add more tooltips

https://gerrit.wikimedia.org/r/567078

Change 567078 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Add more tooltips

https://gerrit.wikimedia.org/r/567078

awight added subscribers: Hanna_Petruschat_WMDE, awight.

Acceptance review notes:

  • All tooltips should have a consistent style, so let's (consider, @Hanna_Petruschat_WMDE ) shortening the text of the long, OOUI tooltip.
  • Currently, the disabled pencil shows two tooltips, both the fancy and the native browser popup.
  • All the listed tooltips are present, awesome!
thiemowmde removed Andrew-WMDE as the assignee of this task.Tue, Feb 4, 1:57 PM
thiemowmde added a subscriber: Andrew-WMDE.
awight claimed this task.Wed, Feb 5, 2:22 PM
awight moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2020-02-04 board.

Change 570357 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/TwoColConflict@master] Use native tooltip for two-state edit button

https://gerrit.wikimedia.org/r/570357

This may have been the only change we need.

Change 570357 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Use native tooltip for two-state edit button

https://gerrit.wikimedia.org/r/570357

awight closed this task as Resolved.Mon, Feb 10, 9:48 AM
awight moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2020-02-04 board.